LimitStencil Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
LimitStencil Class Reference

Limit point stencil descriptor. More...

`#include <stencilTable.h>`

Inheritance diagram for LimitStencil:

## Public Member Functions
| LimitStencil (int *size, Index *indices, float *weights, float *duWeights, float *dvWeights)
| Constructor. More...
float const * | GetDuWeights () const
float const * | GetDvWeights () const
void | Next ()
| Advance to the next stencil in the table. More...
Public Member Functions inherited from Stencil
| Stencil ()
| Default constructor. More...
| Stencil (int *size, Index *indices, float *weights)
| Constructor. More...
| Stencil (Stencil const &other)
| Copy constructor. More...
int | GetSize () const
| Returns the size of the stencil. More...
int * | GetSizePtr () const
| Returns the size of the stencil as a pointer. More...
Index const * | GetVertexIndices () const
| Returns the control vertices indices. More...
float const * | GetWeights () const
| Returns the interpolation weights. More...
void | Next ()
| Advance to the next stencil in the table. More...

## Friends
class | StencilTableFactory
class | LimitStencilTableFactory

## Additional Inherited Members
Protected Attributes inherited from Stencil
int * | _size
Index * | _indices
float * | _weights

## Detailed Description

Limit point stencil descriptor.

Definition at line 242 of file stencilTable.h.

## Constructor & Destructor Documentation

LimitStencil | ( | int * | size,
|  | Index * | indices,
|  | float * | weights,
|  | float * | duWeights,
|  | float * | dvWeights
| ) |  |
| inline

Constructor.

Parameters

  size | Table pointer to the size of the stencil
  indices | Table pointer to the vertex indices of the stencil
  weights | Table pointer to the vertex weights of the stencil
  duWeights | Table pointer to the 'u' derivative weights
  dvWeights | Table pointer to the 'v' derivative weights

Definition at line 258 of file stencilTable.h.

## Member Function Documentation

float const* GetDuWeights | ( |  | ) | const
| inline

Definition at line 269 of file stencilTable.h.

float const* GetDvWeights | ( |  | ) | const
| inline

Definition at line 274 of file stencilTable.h.

void Next | ( |  | ) |
| inline

Advance to the next stencil in the table.

Definition at line 279 of file stencilTable.h.

## Friends And Related Function Documentation

friend class LimitStencilTableFactory
| friend

Definition at line 291 of file stencilTable.h.

friend class StencilTableFactory
| friend

Definition at line 290 of file stencilTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTable.h